import request from '@/utils/request'

/**
 * 查询工具下载统计列表
 * @returns
 */
export function getToolDownStat(params) {
  return Promise.resolve({
    total: 5,
    rows: [
      { toolId: '1', toolCode: 'gdd-9jeh', toolName: '阿嘎', toolDownNum: 90 },
      { toolId: '2', toolCode: 'tt', toolName: 'd', toolDownNum: 56 },
      { toolId: '3', toolCode: '22', toolName: '1', toolDownNum: 9 },
      { toolId: '4', toolCode: 'rtgg', toolName: '22', toolDownNum: 5 },
      { toolId: '5', toolCode: 'rtgg', toolName: '333', toolDownNum: 21 },
      { toolId: '6', toolCode: '77', toolName: '77', toolDownNum: 71 }
    ],
    code: 200,
    msg: '操作成功'
  })
}

/**
 * 根据工具id查询统计详情数据
 * @returns
 */
export function getToolDownDetailStatistics(params) {
  return Promise.resolve({
    total: 15,
    rows: [
      { toolId: '1', userName: '测试1', donwTime: '2024-08-05 12:31:59', toolDownNum: 1 },
      { toolId: '1', userName: '测试2', donwTime: '2024-08-05 12:31:59', toolDownNum: 5 },
      { toolId: '1', userName: '测试3', donwTime: '2024-08-05 12:31:59', toolDownNum: 1 },
      { toolId: '1', userName: '测试4', donwTime: '2024-08-05 12:31:59', toolDownNum: 1 },
      { toolId: '1', userName: '测试5', donwTime: '2024-08-05 12:31:59', toolDownNum: 7 },
      { toolId: '1', userName: '测试6', donwTime: '2024-08-05 12:31:59', toolDownNum: 1 },
      { toolId: '1', userName: '测试7', donwTime: '2024-08-05 12:31:59', toolDownNum: 1 },
      { toolId: '1', userName: '测试8', donwTime: '2024-08-05 12:31:59', toolDownNum: 2 },
      { toolId: '1', userName: '测试9', donwTime: '2024-08-05 12:31:59', toolDownNum: 9 },
      { toolId: '1', userName: '测试10', donwTime: '2024-08-05 12:31:59', toolDownNum: 3 }
    ],
    code: 200,
    msg: '操作成功'
  })
}


